Author Topic: version 09.08.04 (1.45.698) not working  (Read 4476 times)

Offline JJK

  • Registered User
  • Full Member
  • *
  • Posts: 152
  • Karma: +2/-0
version 09.08.04 (1.45.698) not working
« on: August 04, 2009, 08:07:16 AM »
Hello Alex

I have downloaded this morning the last version, here 32 bit for NT/2000/XP/Vista/Win7.
Then I installed it (under XP SP2) then tried to run it. The .exe is 1818624 bytes long and 09/08/03 20:25 dated.
I get : "Error at run program OR memory too low" or so (french message here).

Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2208
  • Karma: +37/-3
    • HippoEDIT
Re: version 09.08.04 (1.45.698) not working
« Reply #1 on: August 04, 2009, 12:16:42 PM »
Hi JJK,

... yes. My fault. Would copy old version on top until I would fix this :/

Sorry for this :/

Best regards,
Alex.

Offline Arthur

  • Registered User
  • Hero Member
  • *
  • Posts: 653
  • Karma: +1/-0
  • He who is ashamed of asking is afraid of learning.
    • My Blog
Re: version 09.08.04 (1.45.698) not working
« Reply #2 on: August 04, 2009, 07:35:20 PM »
Was it the beta version? By the way my beta 1.45.698 build works for me on XP SP3.
Not sure if I need to do anything.

I also have two suggestions:

1) On the website where we download HE it would be prudent to add a build number and not only the date
2) When downloading HE, a user is presented with file save/run dialog indicating only the major build like "hippou145.exe" it would be beneficial to add the build number there too.

Offline Stefan

  • Administrator
  • Hero Member
  • *****
  • Posts: 775
  • Karma: +6/-0
Re: version 09.08.04 (1.45.698) not working
« Reply #3 on: August 04, 2009, 09:02:23 PM »
Hi Arthur,

trying to make it simpler for Alex:

1) On the website where we download HE it would be prudent to add a build number and not only the date

The build you will see in the history in beta forum too like "Version 697"
Maybe Alex can add there the release date too like "Version 697 (2009.07.27)"
Maybe Alex can add there an download link for builds without  PDB too?

Then you can:
- copy this info "697 (2009.07.27)"
- click on the dl link,  the save dialog is already pre-filled with "hippou145.exe"
- paste the info "697 (2009.07.27)" between "hippou145" and ".exe" and you're done.

---

Maybe Alex should move the beta dl's completely to the beta forum
providing  on the dl page an link to the forum only: do the work on an single point only.

The adv to have this in the beta forum is additionally that the downloader will see the history too
and maybe not to many would dl un-necessary builds without features the're interessted in.
 

Quote
2) When downloading HE, a user is presented with file save/run dialog indicating
only the major build like "hippou145.exe" it would be beneficial to add the build number there too.
The file name for the download have to be always the same, otherwise Alex
and hosters have to always modify the download link to correspond to the renamed file.

Offline JJK

  • Registered User
  • Full Member
  • *
  • Posts: 152
  • Karma: +2/-0
Re: version 09.08.04 (1.45.698) not working
« Reply #4 on: August 06, 2009, 01:46:21 PM »
Hi Alex
No more luck with 1.45.700 put online on 06.08.2009
install file : md5 = d6e1055e76c858d0dd4a6678043f49dd
exe : 1.818.624 bytes, md5 = 29b9e8413b7a83531a011d61100a3493

Same error message than previous release

EDIT :
because HE no longer works (with new betas) I renamed HE install dir as "progfiles\Hippo_old" then I installed an old release (29.06.2009) in new dir (progfiles\HippoEdit).
But it does not work neither.
I did not uninstall any installation because I don't want to loose my parameters.
So now I have no HippoEdit on my computer.
Help
« Last Edit: August 06, 2009, 01:55:45 PM by JJK »

Offline Stefan

  • Administrator
  • Hero Member
  • *****
  • Posts: 775
  • Karma: +6/-0
Re: version 09.08.04 (1.45.698) not working
« Reply #5 on: August 06, 2009, 02:18:26 PM »
EDIT :
because HE no longer works (with new betas) I renamed HE install dir as "progfiles\Hippo_old" then I installed an old release (29.06.2009) in new dir (progfiles\HippoEdit).
But it does not work neither.
I did not uninstall any installation because I don't want to loose my parameters.
So now I have no HippoEdit on my computer.
Help
Sorry to hear that JJ  :'(
An PC without HE  ::)
How did you start your new installed HE? From an old link?
Did you go to the progfiles\HippoEdit folder and doubleclick the HippoEDIT.exe THERE?

Maybe you want try this tip too:
To clean up HE temporary files you can start hippoedit with --init command line switch.

Offline JJK

  • Registered User
  • Full Member
  • *
  • Posts: 152
  • Karma: +2/-0
Re: version 09.08.04 (1.45.698) not working
« Reply #6 on: August 06, 2009, 03:01:50 PM »
Quote from: Stefan
How did you start your new installed HE? From an old link?
No, I dowload regularly new betas or releases, and I keep them on my HD.

Quote
Did you go to the progfiles\HippoEdit folder and doubleclick the HippoEDIT.exe THERE?
Yes, not from any .lnk or so.

I tried your tip : HippoEdit.exe --init but always same error message : "error at prog run OR memory too low". When I open a cmd window and I tape cd prgogFiles\HE then HE.exe --init I get : "that application could not start because configuration is uncorrect..." or so (I get a french message).

Stefan, Alex, before I uninstall HE, can you tell me what parameters I can preserve from my old install, and can you confirm that new betas (1.45.6xx) work well ?

Thanks

Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2208
  • Karma: +37/-3
    • HippoEDIT
Re: version 09.08.04 (1.45.698) not working
« Reply #7 on: August 06, 2009, 03:35:24 PM »
Sorry guys... The version 700 also does not work. Would try to check today evening. Have checked on development machine, and it was working. But on other machine not. Need to clarify the problem...
I think the reason is wrong manifest files for MFC.
« Last Edit: August 06, 2009, 03:38:00 PM by alex »

Offline JJK

  • Registered User
  • Full Member
  • *
  • Posts: 152
  • Karma: +2/-0
Re: version 09.08.04 (1.45.698) not working
« Reply #8 on: August 06, 2009, 03:42:26 PM »
OK, no problem.
We'll wait.
I have just installed 1.44 official (27.06.09) on a fresh directory, and now it works.
So I can wait  8)

Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2208
  • Karma: +37/-3
    • HippoEDIT
Re: version 09.08.04 (1.45.698) not working
« Reply #9 on: August 06, 2009, 06:06:05 PM »
to JJK: About the user parameters
When you do uninstall,  you would get a choice what should be removed. Just keep first check box (Delete user specific settings) unchecked, and all you settings would stay. You can also un-check all files, then only executables would be removed. And to migrate just copy rest of files after installation to new directory.

I think, JJK, you have Automatic Windows update off.. My current assumption about the problem with installer, that MS silently updated ATL/MFC dlls because of the security bug was found some time ago in ATL code.

to Arthur and Stefan: About installer and download links
Yes, it is rather problematic to include version name into installer from one side because of all download links modification (as mentioned by Stefan) and from another side it is more complex with my build system to provide this.

Also it is a effort to add/change build number everywhere with every update. And I could not extract it somehow from installer itself. For me this matter. So I think build number on history page is enough. And also you need this only in such not ordinary case as now, with broken installer.

About the date on history. Yes, this is possible, but maybe not needed. Because as I have agreed before, I would add separate post for every new build, and you would see date there.

I agree with Stefan about download link for betas on web site, and probably would remove this. It was important when there were not enough beta testers ;), but now,  I think, it only confuse regular users on download page with too many choices.

And about version with pdb and without. I would prefer that beta testers use versions with pdb, because then I can get much better crash reports. So I would not publish dl for non pdb version, but you can always get it just by removing _pdb from link. I am always update installers in sync.

Best regards,
Alex.
« Last Edit: August 06, 2009, 06:18:49 PM by alex »

Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2208
  • Karma: +37/-3
    • HippoEDIT
Re: version 09.08.04 (1.45.698) not working
« Reply #10 on: August 08, 2009, 12:04:51 PM »
Hi JJK,

now 1.45 version working again. You can try it.
I would add history today evening.

Best regards,
Alex.

Offline Arthur

  • Registered User
  • Hero Member
  • *
  • Posts: 653
  • Karma: +1/-0
  • He who is ashamed of asking is afraid of learning.
    • My Blog
Re: version 09.08.04 (1.45.698) not working
« Reply #11 on: August 08, 2009, 04:45:12 PM »
Hello,

I have just installed (on top) the newest HE and got error:

[Window Title]
C:\Program Files\HippoEdit\HippoEdit.exe

[Content]
C:\Program Files\HippoEdit\HippoEdit.exe

The application has failed to start because its side-by-side configuration is incorrect. Please see the application event log for more detail.

[OK]

Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2208
  • Karma: +37/-3
    • HippoEDIT
Re: version 09.08.04 (1.45.698) not working
« Reply #12 on: August 09, 2009, 01:13:17 AM »
Hello Arthur,

can I ask you to do uninstall and then reinstall of beta 703?

Because I have tested it on three machines:
XP, with newest MFC (installed with Windows Update)
XP, without newest MFC
Vista, without newest MFC

And in all three cases beta is working. So I am wondering what can be a reason in your case. Specially taking into account that it was working with earlier versions which were not working on systems without new MFC.

Best regards,
Alex.

Offline Arthur

  • Registered User
  • Hero Member
  • *
  • Posts: 653
  • Karma: +1/-0
  • He who is ashamed of asking is afraid of learning.
    • My Blog
Re: version 09.08.04 (1.45.698) not working
« Reply #13 on: August 09, 2009, 04:31:56 AM »
:( I did and got the same error after re-installing HE.

I examined the Windows Application log and found that HE is looking for a specific assembly:

Activation context generation failed for "C:\Program Files\HippoEdit\HippoEdit.exe". Dependent Assembly Microsoft.VC80.CRT,processorArchitecture="x86",publicKeyToken="1fc8b3b9a1e18e3b",type="win32",version="8.0.50727.4053" could not be found. Please use sxstrace.exe for detailed diagnosis.

I am on Vista SP1.
I found some related (I hope helpful too) articles: http://shrinkify.com/12tc and http://shrinkify.com/12tb
The first discusses SP1 for VS2005. Perhaps I shall take it.

Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2208
  • Karma: +37/-3
    • HippoEDIT
Re: version 09.08.04 (1.45.698) not working
« Reply #14 on: August 10, 2009, 02:50:22 PM »
Hi Arthur,

thanks for links, but I feel something wrong on your side :)
I have checked my Vista test installation. It has following parameters:
- has VS2005 SP1 installed (but this has nothing to do with this particular problem, but cause some similar inconsistence, because with SP1 also new version of ATL and MFC libraries were installed)
- has no MFC, CRT of version 4053 installed in WinSxS

So result of HE installation was (this is how it is defined) that if system has no required libraries (or version does not match) installed in WinSxS, libraries are installed as private assemblies (in same directory where is executable). And this is what I see, HE directory contains 5 additional files:
Code: [Select]
11.07.2009  20:46         1.093.120 mfc80u.dll
12.07.2009  01:55           554.832 msvcp80.dll
12.07.2009  01:55           632.656 msvcr80.dll

11.07.2009  19:10             1.870 Microsoft.VC80.CRT.manifest
11.07.2009  20:46             2.372 Microsoft.VC80.MFC.manifest

can you please check that you has same file installed and please check do you have 4053 assemblies installed in your Windows\WinSxS folder (should contain folder like this: x86_microsoft.vc80.mfc_1fc8b3b9a1e18e3b_8.0.50727.4053_none_0c178a139ee2a7ed ).

Only one problem I can assume, that you already had private assemblies installed near HE from older installation, and they were not correctly overwritten by installer.

Best regards,
Alex.